Public Member Functions | Public Attributes | List of all members
libetonyek::PAGCollector::Section Struct Reference

## Public Member Functions
| Section ()
void | clear ()

## Public Attributes
IWORKStylePtr_t | m_style
boost::optional< double > | m_width
boost::optional< double > | m_height
boost::optional< double > | m_horizontalMargin
boost::optional< double > | m_verticalMargin

## Constructor & Destructor Documentation

## ◆ Section()

libetonyek::PAGCollector::Section::Section | ( |  | ) |

## Member Function Documentation

## ◆ clear()

void libetonyek::PAGCollector::Section::clear | ( |  | ) |

Referenced by libetonyek::PAGCollector::flushPageSpan().

## Member Data Documentation

## ◆ m_height

boost::optional<double> libetonyek::PAGCollector::Section::m_height

Referenced by libetonyek::PAGCollector::flushPageSpan(), and libetonyek::PAGCollector::openSection().

## ◆ m_horizontalMargin

boost::optional<double> libetonyek::PAGCollector::Section::m_horizontalMargin

Referenced by libetonyek::PAGCollector::flushPageSpan(), and libetonyek::PAGCollector::openSection().

## ◆ m_style

IWORKStylePtr_t libetonyek::PAGCollector::Section::m_style

Referenced by libetonyek::PAGCollector::flushPageSpan(), and libetonyek::PAGCollector::openSection().

## ◆ m_verticalMargin

boost::optional<double> libetonyek::PAGCollector::Section::m_verticalMargin

Referenced by libetonyek::PAGCollector::flushPageSpan(), and libetonyek::PAGCollector::openSection().

## ◆ m_width

boost::optional<double> libetonyek::PAGCollector::Section::m_width

Referenced by libetonyek::PAGCollector::flushPageSpan(), and libetonyek::PAGCollector::openSection().

The documentation for this struct was generated from the following files:

- PAGCollector.h
- PAGCollector.cpp